<?php

declare(strict_types=1);

namespace mirzaev\surikovlib\controllers;

use mirzaev\surikovlib\controllers\core;

use Twig\Loader\FilesystemLoader;
use Twig\Environment as view;

/**
 * Контроллер основной страницы
 *
 * @package mirzaev\surikovlib\controllers
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
final class errors_controller extends core
{
    public function error404(): ?string
    {
        // Генерация представления
        return 'Ошибка 404 (не найдено)';
    }

    public function error500(): ?string
    {
        // Генерация представления
        return 'Ошибка 500 (на стороне сервера)';
    }
}
